#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# Graphics Class

Extends DisplayObjectContainer
Defined in: `src/pixi/primitives/Graphics.js:5`
Module: PIXI

The Graphics class contains methods used to draw primitive shapes such as lines, circles and rectangles to the display, and color and fill them.

## Constructor

### `Graphics`

()

Defined in `src/pixi/primitives/Graphics.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- _destroyCachedSprite
- _generateCachedSprite
- _renderCachedSprite
- _renderCanvas
- _renderWebGL
- addChild
- addChildAt
- arc
- beginFill
- bezierCurveTo
- clear
- click
- destroyCachedSprite
- drawCircle
- drawEllipse
- drawPolygon
- drawRect
- drawRoundedRect
- drawShape
- endFill
- generateTexture
- getBounds
- getChildAt
- getChildIndex
- getLocalBounds
- lineStyle
- lineTo
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- moveTo
- quadraticCurveTo
- removeChild
- removeChildAt
- removeChildren
- removeStageReference
- rightclick
- rightdown
- rightup
- rightupoutside
- setChildIndex
- setStageReference
- swapChildren
- tap
- toGlobal
- toLocal
- touchend
- touchendoutside
- touchstart
- updateBounds
- updateCache
- updateCachedSpriteTexture

### Properties

- _bounds
- _cacheAsBitmap
- _cacheIsDirty
- _cr
- _currentBounds
- _interactive
- _sr
- _webGL
- alpha
- blendMode
- boundsPadding
- buttonMode
- cacheAsBitmap
- cachedSpriteDirty
- children
- currentPath
- defaultCursor
- dirty
- fillAlpha
- filterArea
- filters
- graphicsData
- height
- hitArea
- interactive
- isMask
- lineColor
- lineWidth
- mask
- parent
- pivot
- position
- renderable
- rotation
- scale
- stage
- tint
- visible
- webGLDirty
- width
- worldAlpha
- worldTransform
- worldVisible
- x
- y

## Methods

### `_destroyCachedSprite`

() private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:681`

Destroys the cached sprite.

### `_generateCachedSprite`

() private

Inherited from DisplayObject but overwritten in `src/pixi/primitives/Graphics.js:970`

Generates the cached sprite when the sprite has cacheAsBitmap = true

### `_renderCachedSprite`

(

- `renderSession`

)
private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:618`

Internal method.

#### Parameters:

- `renderSession` Object

  The render session

### `_renderCanvas`

(

- `renderSession`

)
private

Inherited from DisplayObject but overwritten in `src/pixi/primitives/Graphics.js:725`

Renders the object using the Canvas renderer

#### Parameters:

- `renderSession` RenderSession

### `_renderWebGL`

(

- `renderSession`

)
private

Inherited from DisplayObject but overwritten in `src/pixi/primitives/Graphics.js:645`

Renders the object using the WebGL renderer

#### Parameters:

- `renderSession` RenderSession

### `addChild`

(

- `child`

)
DisplayObject

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:86`

Adds a child to the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to add to the container

#### Returns:

DisplayObject:

The child that was added.

### `addChildAt`

(

- `child`
- `index`

)
DisplayObject

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:98`

Adds a child to the container at a specified index. If the index is out of bounds an error will be thrown

#### Parameters:

- `child` DisplayObject

  The child to add

- `index` Number

  The index to place the child in

#### Returns:

DisplayObject:

The child that was added.

### `arc`

(

- `cx`
- `cy`
- `radius`
- `startAngle`
- `endAngle`
- `anticlockwise`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:407`

The arc method creates an arc/curve (used to create circles, or parts of circles).

#### Parameters:

- `cx` Number

  The x-coordinate of the center of the circle

- `cy` Number

  The y-coordinate of the center of the circle

- `radius` Number

  The radius of the circle

- `startAngle` Number

  The starting angle, in radians (0 is at the 3 o'clock position of the arc's circle)

- `endAngle` Number

  The ending angle, in radians

- `anticlockwise` Boolean

  Optional. Specifies whether the drawing should be counterclockwise or clockwise. False is default, and indicates clockwise, while true indicates counter-clockwise.

#### Returns:

Graphics:

### `beginFill`

(

- `color`
- `alpha`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:477`

Specifies a simple one-color fill that subsequent calls to other Graphics methods (such as lineTo() or drawCircle()) use when drawing.

#### Parameters:

- `color` Number

  the color of the fill

- `alpha` Number

  the alpha of the fill

#### Returns:

Graphics:

### `bezierCurveTo`

(

- `cpX`
- `cpY`
- `cpX2`
- `cpY2`
- `toX`
- `toY`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:285`

Calculate the points for a bezier curve and then draws it.

#### Parameters:

- `cpX` Number

  Control point x

- `cpY` Number

  Control point y

- `cpX2` Number

  Second Control point x

- `cpY2` Number

  Second Control point y

- `toX` Number

  Destination point x

- `toY` Number

  Destination point y

#### Returns:

Graphics:

### `clear`

() Graphics

Defined in `src/pixi/primitives/Graphics.js:598`

Clears the graphics that were drawn to this Graphics object, and resets fill and line style settings.

#### Returns:

Graphics:

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:233`

A callback that is used when the users clicks on the displayObject with their mouse's left button

#### Parameters:

- `interactionData` InteractionData

### `destroyCachedSprite`

()

Defined in `src/pixi/primitives/Graphics.js:1034`

Destroys a previous cached sprite.

### `drawCircle`

(

- `x`
- `y`
- `radius`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:551`

Draws a circle.

#### Parameters:

- `x` Number

  The X coordinate of the center of the circle

- `y` Number

  The Y coordinate of the center of the circle

- `radius` Number

  The radius of the circle

#### Returns:

Graphics:

### `drawEllipse`

(

- `x`
- `y`
- `width`
- `height`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:567`

Draws an ellipse.

#### Parameters:

- `x` Number

  The X coordinate of the center of the ellipse

- `y` Number

  The Y coordinate of the center of the ellipse

- `width` Number

  The half width of the ellipse

- `height` Number

  The half height of the ellipse

#### Returns:

Graphics:

### `drawPolygon`

(

- `path`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:584`

Draws a polygon using the given path.

#### Parameters:

- `path` Array

  The path data used to construct the polygon.

#### Returns:

Graphics:

### `drawRect`

(

- `x`
- `y`
- `width`
- `height`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:519`

#### Parameters:

- `x` Number

  The X coord of the top-left of the rectangle

- `y` Number

  The Y coord of the top-left of the rectangle

- `width` Number

  The width of the rectangle

- `height` Number

  The height of the rectangle

#### Returns:

Graphics:

### `drawRoundedRect`

(

- `x`
- `y`
- `width`
- `height`
- `radius`

)

Defined in `src/pixi/primitives/Graphics.js:535`

#### Parameters:

- `x` Number

  The X coord of the top-left of the rectangle

- `y` Number

  The Y coord of the top-left of the rectangle

- `width` Number

  The width of the rectangle

- `height` Number

  The height of the rectangle

- `radius` Number

  Radius of the rectangle corners

### `drawShape`

(

- `shape`

)
GraphicsData

Defined in `src/pixi/primitives/Graphics.js:1048`

Draws the given shape to this Graphics object. Can be any of Circle, Rectangle, Ellipse, Line or Polygon.

#### Parameters:

- `shape` Circle | Rectangle | Ellipse | Line | Polygon

  The Shape object to draw.

#### Returns:

GraphicsData:

The generated GraphicsData object.

### `endFill`

() Graphics

Defined in `src/pixi/primitives/Graphics.js:504`

Applies a fill to the lines and shapes that were added since the last call to the beginFill() method.

#### Returns:

Graphics:

### `generateTexture`

(

- `resolution`
- `scaleMode`

)
Texture

Inherited from DisplayObject but overwritten in `src/pixi/primitives/Graphics.js:616`

Useful function that returns a texture of the graphics object that can then be used to create sprites This can be quite useful if your geometry is complicated and needs to be reused multiple times.

#### Parameters:

- `resolution` Number

  The resolution of the texture being generated

- `scaleMode` Number

  Should be one of the PIXI.scaleMode consts

#### Returns:

Texture:

a texture of the graphics object

### `getBounds`

() Rectangle

Inherited from DisplayObject but overwritten in `src/pixi/primitives/Graphics.js:794`

Retrieves the bounds of the graphic shape as a rectangle object

#### Returns:

Rectangle:

the rectangular bounding area

### `getChildAt`

(

- `index`

)
DisplayObject

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:189`

Returns the child at the specified index

#### Parameters:

- `index` Number

  The index to get the child from

#### Returns:

DisplayObject:

The child at the given index, if any.

### `getChildIndex`

(

- `child`

)
Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:154`

Returns the index position of a child DisplayObject instance

#### Parameters:

- `child` DisplayObject

  The DisplayObject instance to identify

#### Returns:

Number:

The index position of the child display object to identify

### `getLocalBounds`

() Rectangle

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObjectContainer.js:353`

Retrieves the non-global local bounds of the displayObjectContainer as a rectangle. The calculation takes all visible children into consideration.

#### Returns:

Rectangle:

The rectangular bounding area

### `lineStyle`

(

- `lineWidth`
- `color`
- `alpha`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:169`

Specifies the line style used for subsequent calls to Graphics methods such as the lineTo() method or the drawCircle() method.

#### Parameters:

- `lineWidth` Number

  width of the line to draw, will update the objects stored style

- `color` Number

  color of the line to draw, will update the objects stored style

- `alpha` Number

  alpha of the line to draw, will update the objects stored style

#### Returns:

Graphics:

### `lineTo`

(

- `x`
- `y`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:218`

Draws a line using the current line style from the current drawing position to (x, y); The current drawing position is then set to (x, y).

#### Parameters:

- `x` Number

  the X coordinate to draw to

- `y` Number

  the Y coordinate to draw to

#### Returns:

Graphics:

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:239`

A callback that is used when the user clicks the mouse's left button down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:226`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:220`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:245`

A callback that is used when the user releases the mouse's left button that was over the displayObject for this callback to be fired, the mouse's left button must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:252`

A callback that is used when the user releases the mouse's left button that was over the displayObject but is no longer over the displayObject for this callback to be fired, the mouse's left button must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `moveTo`

(

- `x`
- `y`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:203`

Moves the current drawing position to x, y.

#### Parameters:

- `x` Number

  the X coordinate to move to

- `y` Number

  the Y coordinate to move to

#### Returns:

Graphics:

### `quadraticCurveTo`

(

- `cpX`
- `cpY`
- `toX`
- `toY`

)
Graphics

Defined in `src/pixi/primitives/Graphics.js:235`

Calculate the points for a quadratic bezier curve and then draws it. Based on: https://stackoverflow.com/questions/785097/how-do-i-implement-a-bezier-curve-in-c

#### Parameters:

- `cpX` Number

  Control point x

- `cpY` Number

  Control point y

- `toX` Number

  Destination point x

- `toY` Number

  Destination point y

#### Returns:

Graphics:

### `removeChild`

(

- `child`

)
DisplayObject

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:206`

Removes a child from the container.

#### Parameters:

- `child` DisplayObject

  The DisplayObject to remove

#### Returns:

DisplayObject:

The child that was removed.

### `removeChildAt`

(

- `index`

)
DisplayObject

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:221`

Removes a child from the specified index position.

#### Parameters:

- `index` Number

  The index to get the child from

#### Returns:

DisplayObject:

The child that was removed.

### `removeChildren`

(

- `beginIndex`
- `endIndex`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:239`

Removes all children from this container that are within the begin and end indexes.

#### Parameters:

- `beginIndex` Number

  The beginning position. Default value is 0.

- `endIndex` Number

  The ending position. Default value is size of the container.

### `removeStageReference`

()

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:395`

Removes the current stage reference from the container and all of its children.

### `rightclick`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:260`

A callback that is used when the users clicks on the displayObject with their mouse's right button

#### Parameters:

- `interactionData` InteractionData

### `rightdown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:266`

A callback that is used when the user clicks the mouse's right button down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `rightup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:272`

A callback that is used when the user releases the mouse's right button that was over the displayObject for this callback to be fired the mouse's right button must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `rightupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:279`

A callback that is used when the user releases the mouse's right button that was over the displayObject but is no longer over the displayObject for this callback to be fired, the mouse's right button must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `setChildIndex`

(

- `child`
- `index`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:171`

Changes the position of an existing child in the display object container

#### Parameters:

- `child` DisplayObject

  The child DisplayObject instance for which you want to change the index number

- `index` Number

  The resulting index number for the child display object

### `setStageReference`

(

- `stage`

)

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObjectContainer.js:377`

Sets the containers Stage reference. This is the Stage that this object, and all of its children, is connected to.

#### Parameters:

- `stage` Stage

  the stage that the container will have as its current stage reference

### `swapChildren`

(

- `child`
- `child2`

)

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:129`

Swaps the position of 2 Display Objects within this container.

#### Parameters:

- `child` DisplayObject
- `child2` DisplayObject

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:290`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `toGlobal`

(

- `position`

)
Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:585`

Calculates the global position of the display object

#### Parameters:

- `position` Point

  The world origin to calculate from

#### Returns:

Point:

A point object representing the position of this object

### `toLocal`

(

- `position`
- `[from]`

)
Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:598`

Calculates the local position of the display object relative to another point

#### Parameters:

- `position` Point

  The world origin to calculate from

- `[from]` DisplayObject optional

  The DisplayObject to calculate the global position from

#### Returns:

Point:

A point object representing the position of this object

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:303`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:309`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:297`

A callback that is used when the user touches over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `updateBounds`

()

Defined in `src/pixi/primitives/Graphics.js:870`

Update the bounds of the object

### `updateCache`

()

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:575`

Generates and updates the cached sprite for this object.

### `updateCachedSpriteTexture`

() private

Defined in `src/pixi/primitives/Graphics.js:1010`

Updates texture size based on canvas size

## Properties

### `_bounds`

Rectangle private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:170`

The original, cached bounds of the object

### `_cacheAsBitmap`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:197`

Cached internal flag.

### `_cacheIsDirty`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:206`

Cached internal flag.

### `_cr`

Number private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:152`

cached sin rotation and cos rotation

### `_currentBounds`

Rectangle private

Inherited from DisplayObject but overwritten in `src/pixi/display/DisplayObject.js:179`

The most up-to-date bounds of the object

### `_interactive`

Boolean private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:114`

[read-only] Whether or not the object is interactive, do not toggle directly! use the `interactive` property

### `_sr`

Number private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:143`

cached sin rotation and cos rotation

### `_webGL`

Array private

Defined in `src/pixi/primitives/Graphics.js:79`

Array containing some WebGL-related properties used by the WebGL renderer.

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:46`

The opacity of the object.

### `blendMode`

Number

Defined in `src/pixi/primitives/Graphics.js:61`

The blend mode to be applied to the graphic shape. Apply a value of PIXI.blendModes.NORMAL to reset the blend mode.

Default: PIXI.blendModes.NORMAL;

### `boundsPadding`

Number

Defined in `src/pixi/primitives/Graphics.js:96`

The bounds' padding used for bounds calculation.

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:71`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `cacheAsBitmap`

Boolean private

Inherited from DisplayObject but overwritten in `src/pixi/primitives/Graphics.js:137`

When cacheAsBitmap is set to true the graphics object will be rendered as if it was a sprite. This is useful if your graphics element does not change often, as it will speed up the rendering of the object in exchange for taking up texture memory. It is also useful if you need the graphics object to be anti-aliased, because it will be rendered using canvas. This is not recommended if you are constantly redrawing the graphics element.

Default: false

### `cachedSpriteDirty`

Boolean private

Defined in `src/pixi/primitives/Graphics.js:122`

Used to detect if the cached sprite object needs to be updated.

### `children`

Array

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:17`

[read-only] The array of children of this container.

### `currentPath`

Object private

Defined in `src/pixi/primitives/Graphics.js:70`

Current path

### `defaultCursor`

String

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:124`

This is the cursor that will be used when the mouse is over this object. To enable this the element must have interaction = true and buttonMode = true

### `dirty`

Boolean private

Defined in `src/pixi/primitives/Graphics.js:104`

Used to detect if the graphics object has changed. If this is set to true then the graphics object will be recalculated.

### `fillAlpha`

Number

Defined in `src/pixi/primitives/Graphics.js:18`

The alpha value used when filling the Graphics object.

### `filterArea`

Rectangle

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:161`

The area the filter is applied to like the hitArea this is used as more of an optimisation rather than figuring out the dimensions of the displayObject each frame you can set this rectangle

### `filters`

Array An array of filters

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:381`

Sets the filters for the displayObject.

- IMPORTANT: This is a webGL only feature and will be ignored by the canvas renderer. To remove filters simply set this property to 'null'

### `graphicsData`

Array private

Defined in `src/pixi/primitives/Graphics.js:43`

Graphics data

### `height`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:59`

The height of the displayObjectContainer, setting this will actually modify the scale to achieve the value set

### `hitArea`

Rectangle | Circle | Ellipse | Polygon

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:62`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `interactive`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:320`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

Default: false

### `isMask`

Boolean

Defined in `src/pixi/primitives/Graphics.js:88`

Whether this shape is being used as a mask.

### `lineColor`

String

Defined in `src/pixi/primitives/Graphics.js:34`

The color of any lines drawn.

Default: 0

### `lineWidth`

Number

Defined in `src/pixi/primitives/Graphics.js:26`

The width (thickness) of any lines drawn.

### `mask`

Graphics

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:361`

Sets a mask for the displayObject. A mask is an object that limits the visibility of an object to the shape of the mask applied to it. In PIXI a regular mask must be a PIXI.Graphics object. This allows for much faster masking in canvas as it utilises shape clipping. To remove a mask, set this property to null.

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:87`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:30`

The pivot point of the displayObject that it rotates around

### `position`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:14`

The coordinate of the object relative to the local coordinates of the parent.

### `renderable`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:79`

Can this object be rendered

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:38`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:22`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:96`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `tint`

Number

Defined in `src/pixi/primitives/Graphics.js:52`

The tint applied to the graphic shape. This is a hex value. Apply a value of 0xFFFFFF to reset the tint.

Default: 0xFFFFFF

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:54`

The visibility of the object.

### `webGLDirty`

Boolean private

Defined in `src/pixi/primitives/Graphics.js:113`

Used to detect if the webgl graphics object has changed. If this is set to true then the graphics object will be recalculated.

### `width`

Number

Inherited from DisplayObjectContainer: `src/pixi/display/DisplayObjectContainer.js:31`

The width of the displayObjectContainer, setting this will actually modify the scale to achieve the value set

### `worldAlpha`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:105`

[read-only] The multiplied alpha of the displayObject

### `worldTransform`

Matrix private

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:133`

[read-only] Current transform of the object based on world (parent) factors

### `worldVisible`

Boolean

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:340`

[read-only] Indicates if the sprite is globally visible.

### `x`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:728`

The position of the displayObject on the x axis relative to the local coordinates of the parent.

### `y`

Number

Inherited from DisplayObject: `src/pixi/display/DisplayObject.js:743`

The position of the displayObject on the y axis relative to the local coordinates of the parent.